import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

class DefaultActivitySettings {
  // available game parameters codes
  static const String parameterCodePlotterType = 'plotterType';
  static const List<String> availableParameters = [
    parameterCodePlotterType,
  ];

  // plotter type: available values
  static const String plotterTypeNone = 'none';
  static const String plotterTypeRadial = 'radial';
  static const String plotterTypeAxial = 'axial';
  static const List<String> allowedPlotterTypeValues = [
    plotterTypeNone,
    plotterTypeRadial,
    plotterTypeAxial,
  ];
  // items count: default value
  static const String defaultPlotterTypeValue = plotterTypeNone;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodePlotterType:
        return DefaultActivitySettings.allowedPlotterTypeValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }
}
